Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces
Class DataScrollerUtils

    java.lang.Object
      org.richfaces.DataScrollerUtils

    public final class DataScrollerUtils

extends java.lang.Object

Nested Class Summary
`protected static class` | `DataScrollerUtils.PropertyKeys`

Method Summary
`protected static java.lang.Object` | `eval(java.io.Serializable key, javax.faces.component.UIComponent component, java.lang.Object defaultValue)`
`protected static void` | `findBelow(javax.faces.component.UIComponent component, java.util.List<AbstractDataScroller> result)`
`static java.util.List<AbstractDataScroller>` | `findDataScrollers(javax.faces.component.UIComponent dataTable)`
`static javax.faces.component.UIComponent` | `findDataTable(AbstractDataScroller dataScroller)`
`static javax.faces.component.UIComponent` | `findParentContainer(javax.faces.component.UIComponent component)`
`static int` | `getPageCount(javax.faces.component.UIComponent data, int rowCount, int rows)`
`static int` | `getRowCount(javax.faces.component.UIComponent component)`
`static int` | `getRows(javax.faces.component.UIComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPageCount

    public static int getPageCount(javax.faces.component.UIComponent data,
                                   int rowCount,
                                   int rows)

### getRows

    public static int getRows(javax.faces.component.UIComponent component)

### getRowCount

    public static int getRowCount(javax.faces.component.UIComponent component)

### eval

    protected static java.lang.Object eval(java.io.Serializable key,
                                           javax.faces.component.UIComponent component,
                                           java.lang.Object defaultValue)

### findParentContainer

    public static javax.faces.component.UIComponent findParentContainer(javax.faces.component.UIComponent component)

### findDataTable

    public static javax.faces.component.UIComponent findDataTable(AbstractDataScroller dataScroller)

### findDataScrollers

    public static java.util.List<AbstractDataScroller> findDataScrollers(javax.faces.component.UIComponent dataTable)

### findBelow

    protected static void findBelow(javax.faces.component.UIComponent component,
                                    java.util.List<AbstractDataScroller> result)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.